/**
 * 
 */
package org.ajax4jsf.portlet.context;

import java.util.HashMap;
import java.util.Map;
import junit.framework.TestCase;

/**
 * @author asmirnov
 *
 */
public class ContextAttributesMapTest extends TestCase {
    
    private Map backend = new HashMap();
    /**
     * @param name
     */
    public ContextAttributesMapTest(String name) {
	super(name);
    }

    /* (non-Javadoc)
     * @see junit.framework.TestCase#setUp()
     */
    protected void setUp() throws Exception {
	super.setUp();
    }

    /* (non-Javadoc)
     * @see junit.framework.TestCase#tearDown()
     */
    protected void tearDown() throws Exception {
	super.tearDown();
    }

    /**
     * Test method for {@link org.ajax4jsf.portlet.context.ContextAttributesMap#remove(java.lang.Object)}.
     */
    public final void testRemoveObject() {
	// fail("Not yet implemented");
    }

    /**
     * Test method for {@link org.ajax4jsf.portlet.context.ContextAttributesMap#get(java.lang.Object)}.
     */
    public final void testGetObject() {
	// fail("Not yet implemented");
    }

    /**
     * Test method for {@link org.ajax4jsf.portlet.context.ContextAttributesMap#put(java.lang.Object, java.lang.Object)}.
     */
    public final void testPutObjectObject() {
	// fail("Not yet implemented");
    }

    /**
     * Test method for {@link org.ajax4jsf.portlet.context.ContextMap#clear()}.
     */
    public final void testClear() {
	// fail("Not yet implemented");
    }

    /**
     * Test method for {@link org.ajax4jsf.portlet.context.ContextMap#entrySet()}.
     */
    public final void testEntrySet() {
	// fail("Not yet implemented");
    }

    /**
     * Test method for {@link org.ajax4jsf.portlet.context.ContextMap#keySet()}.
     */
    public final void testKeySet() {
	// fail("Not yet implemented");
    }

    /**
     * Test method for {@link org.ajax4jsf.portlet.context.ContextMap#values()}.
     */
    public final void testValues() {
	// fail("Not yet implemented");
    }

    /**
     * Test method for {@link java.util.AbstractMap#containsValue(java.lang.Object)}.
     */
    public final void testContainsValue() {
	// fail("Not yet implemented");
    }

    /**
     * Test method for {@link java.util.AbstractMap#containsKey(java.lang.Object)}.
     */
    public final void testContainsKey() {
	// fail("Not yet implemented");
    }
}
